# Uses of Class
ij.io.FileInfo

Packages that use FileInfo
Package
Description
ij
ij.io
ij.plugin

## Uses of FileInfo in ij

Methods in ij that return FileInfo
Modifier and Type
Method
Description
`FileInfo`
ImagePlus.`getFileInfo()`
Returns a FileInfo object containing information, including the pixel array, needed to save this image.
`FileInfo`
ImagePlus.`getOriginalFileInfo()`
Returns the FileInfo object that was used to open this image.
Methods in ij with parameters of type FileInfo
Modifier and Type
Method
Description
`void`
ImagePlus.`setFileInfo(FileInfo fi)`
Saves this image's FileInfo so it can be later retieved using getOriginalFileInfo().

## Uses of FileInfo in ij.io

Methods in ij.io that return FileInfo
Modifier and Type
Method
Description
`FileInfo`
ImportDialog.`getFileInfo()`
Displays the dialog and returns a FileInfo object that can be used to open the image.
`static FileInfo`
ImportDialog.`getLastFileInfo()`
Returns the FileInfo object used to import the last raw image, or null if a raw image has not been imported.
`static FileInfo[]`
Opener.`getTiffFileInfo(String path)`
Returns the FileInfo of the specified TIFF file.
`FileInfo[]`
TiffDecoder.`getTiffInfo()`
Methods in ij.io with parameters of type FileInfo
Modifier and Type
Method
Description
`ColorModel`
FileOpener.`createColorModel(FileInfo fi)`
Returns an IndexColorModel for the image specified by this FileInfo.
`InputStream`
FileOpener.`createInputStream(FileInfo fi)`
Returns an InputStream for the image described by this FileInfo.
`Properties`
FileOpener.`decodeDescriptionString(FileInfo fi)`
`ImagePlus`
Opener.`openTiffStack(FileInfo[] info)`
Attemps to open a tiff file as a stack.
`void`
FileSaver.`saveDisplayRangesAndLuts(ImagePlus imp, FileInfo fi)`
`void`
TiffDecoder.`saveImageDescription(byte[] description, FileInfo fi)`
Save the image description in the specified FileInfo.
Constructors in ij.io with parameters of type FileInfo
Modifier
Constructor
Description
``
`FileOpener(FileInfo fi)`
``
`ImageReader(FileInfo fi)`
Constructs a new ImageReader using a FileInfo object to describe the file to be read.
``
`ImageWriter(FileInfo fi)`
``
`TiffEncoder(FileInfo fi)`

## Uses of FileInfo in ij.plugin

Methods in ij.plugin with parameters of type FileInfo
Modifier and Type
Method
Description
`void`
FileInfoVirtualStack.`addImage(FileInfo fileInfo)`
Adds an image to this stack.
`static ImagePlus`
Raw.`open(String filePath, FileInfo fi)`
Opens the image at 'filePath' using the format specified by 'fi'.
`static ImagePlus`
Raw.`openAll(String directory, FileInfo fi)`
Opens all the images in the specified directory as a stack, using the format specified by 'fi'.
`static ImagePlus`
Raw.`openAllVirtual(String directory, FileInfo fi)`
Opens all the images in the specified directory as a virtual stack, using the format specified by 'fi'.
Constructors in ij.plugin with parameters of type FileInfo
Modifier
Constructor
Description
``
`FileInfoVirtualStack(FileInfo fi)`
``
`FileInfoVirtualStack(FileInfo[] fi)`
``
`FileInfoVirtualStack(FileInfo fi, boolean show)`